#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	groff
Version		:	1.23.0
Release		:	14.4.0.0%{?dist}
Summary		:	A document formatting system
Group		:	Applications/Publishing

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://www.gnu.org/software/groff/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#Require
Requires	:	perl >= 5.24
#Providing
Provides	:	perl(oop_fh.pl)
Provides	:	perl(main_subs.pl)
Provides	:	perl(man.pl)
Provides	:	perl(subs.pl)
#-----------------------------------------------------------------------------
## remove autoreq Perl dependencies
%filter_from_requires /^perl.*/d
%filter_setup

#-----------------------------------------------------------------------------
%description
Groff is a document formatting system. Groff takes standard text and
formatting commands as input and produces formatted output. The
created documents can be shown on a display or printed on a printer.
Groff's formatting commands allow you to specify font type and size,
bold type, italic type, the number and size of columns on a page, and
more.

Groff can also be used to format man pages. If you are going to use
groff with the X Window System, you will also need to install the
groff-gxditview package.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc BUG-REPORT NEWS PROBLEMS README TODO
%{_bindir}
%{_libdir}/%{name}
%{_infodir}
%{_datadir}/%{name}
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man7/*.7.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

PAGE=letter						\
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-appresdir=no				\
	--with-grofferdir=%{_datadir}/%{name}/%{version}/groffer

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__rm} -fr %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%changelog
